LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DatabaseDocument Service Referencepublished

specifies a link to a document associated with a database document More...

`import"DatabaseDocument.idl";`

Inheritance diagram for DatabaseDocument:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::sdbcx::XDataDescriptorFactory
interface | com::sun::star::sdbcx::XRename

## Public Attributes
string | Name
| is the name of the document. More...
string | URL
| is the URL of the document. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object. More...
Public Member Functions inherited from XRename
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of an object. More...

## Detailed Description

specifies a link to a document associated with a database document

Since
  OOo 2.0

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::sdbcx::XDataDescriptorFactory

interface com::sun::star::sdbcx::XDataDescriptorFactory

## ◆ com::sun::star::sdbcx::XRename

interface com::sun::star::sdbcx::XRename

## Member Data Documentation

## ◆ Name

string Name
| property readonly

is the name of the document.

## ◆ URL

string URL
| property readonly

is the URL of the document.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseDocument.idl